#!/bin/sh
# @(#) No-hassle installation script Debian & derivative distros)

if [ '0' != `id -u` ]; then
    echo >&2 "Must be root to invoke $0"
    exit 1
fi

if [ $# -ne 1 ]; then
    echo >&2 "Usage: $0 {path-to-deb-pkg}"
    exit 1
fi

if ! dpkg -l | grep -q libcap2-bin; then
    apt-get install libcap2-bin || exit 1
fi

deb_pkg=${1:?}
dpkg -i --force-depends ${deb_pkg} && apt-get -f install

if cat /proc/version | cut -d' ' -f3 | grep -q '\-pve$'; then
    for module in `echo smd dbsink ftsa npx ncl`; do
        mpath="/usr/bin/${module}"
        [ -f "${mpath}" ] && chgrp staff ${mpath}
    done
fi

# __EOF__

